Loading...
Searching...
No Matches
endianness.h File Reference
`#include "platform.h"`
`#include "binary.h"`
`#include "enum_type.h"`
`#include <stdint.h>`

Go to the source code of this file.

## Classes

struct | etl::endian
struct | etl::endianness

## Namespaces

namespace | etl

## Macros

#define | ETL_HAS_CONSTEXPR_ENDIANNESS 0

## Functions

template<typename T>
ETL_CONSTEXPR14 etl::enable_if< etl::is_integral< T >::value, T >::type | etl::ntoh (T value)
template<typename T>
ETL_CONSTEXPR14 etl::enable_if< etl::is_integral< T >::value, T >::type | etl::hton (T value)